Bug 608047 - [abrt] crash in xsane-0.997-3.fc12: strncpy: Process /usr/bin/xsane was killed by signal 11 (SIGSEGV)
[abrt] crash in xsane-0.997-3.fc12: strncpy: Process /usr/bin/xsane was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:cfb4bc14b19468bfd5fa126ee29...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 10:07 EDT by John Villegas
Modified: 2010-07-01 14:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: gimp-2.6.9-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.16 KB, text/plain)
2010-06-25 10:07 EDT, John Villegas
no flags Details

  None (edit)
Description John Villegas 2010-06-25 10:07:25 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: xsane
component: xsane
crash_function: strncpy
executable: /usr/bin/xsane
global_uuid: cfb4bc14b19468bfd5fa126ee297d8791c5fbd95
kernel: 2.6.33.5-124.fc13.i686
package: xsane-0.997-3.fc12
rating: 4
reason: Process /usr/bin/xsane was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.run xsane
2.scan document
3.save document
Comment 1 John Villegas 2010-06-25 10:07:26 EDT
Created attachment 426889 [details]
File: backtrace
Comment 2 Nils Philippsen 2010-06-25 10:26:14 EDT
Seems like no output filename was selected which caused the crash here:

--- 8< --- src/xsane-back-gtk.c:1503 ---
    chooser_filename = gtk_file_chooser_get_filename(GTK_FILE_CHOOSER(filechooser));
    strncpy(filename, chooser_filename, max_len - 1);
--- >8 ---------------------------------

gtk_file_chooser_get_filename() may return NULL "if no file is selected, or the selected file can't be represented with a local filename", but strncpy crashes on that.
Comment 3 Fedora Update System 2010-06-28 12:50:33 EDT
gimp-2.6.9-3.fc13,xsane-0.997-7.fc13,gegl-0.1.2-3.fc13,babl-0.1.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gimp-2.6.9-3.fc13,xsane-0.997-7.fc13,gegl-0.1.2-3.fc13,babl-0.1.2-4.fc13
Comment 4 Fedora Update System 2010-06-28 19:37:23 EDT
gegl-0.1.2-3.fc13, babl-0.1.2-4.fc13, gimp-2.6.9-3.fc13, xsane-0.997-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gegl babl gimp xsane'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gimp-2.6.9-3.fc13,xsane-0.997-7.fc13,gegl-0.1.2-3.fc13,babl-0.1.2-4.fc13
Comment 5 Fedora Update System 2010-06-30 11:08:07 EDT
gimp-2.6.9-4.fc13, xsane-0.997-8.fc13, gegl-0.1.2-3.fc13, babl-0.1.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gimp xsane gegl babl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gimp-2.6.9-4.fc13,xsane-0.997-8.fc13,gegl-0.1.2-3.fc13,babl-0.1.2-4.fc13
Comment 6 Fedora Update System 2010-07-01 14:56:17 EDT
gimp-2.6.9-4.fc13, xsane-0.997-8.fc13, gegl-0.1.2-3.fc13, babl-0.1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.